Package com.google.protobuf.compiler

# Class PluginProtos.CodeGeneratorRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>
com.google.protobuf.GeneratedMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>
com.google.protobuf.compiler.PluginProtos.CodeGeneratorRequest.Builder

All Implemented Interfaces:
  `PluginProtos.CodeGeneratorRequestOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `PluginProtos.CodeGeneratorRequest`

public static final class PluginProtos.CodeGeneratorRequest.Builder extends GeneratedMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder> implements PluginProtos.CodeGeneratorRequestOrBuilder
Protobuf type `google.protobuf.compiler.CodeGeneratorRequest`

## Method Summary

Modifier and Type
Method
Description
`PluginProtos.CodeGeneratorRequest.Builder`
`addAllFileToGenerate(Iterable<String> values)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addAllProtoFile(Iterable<? extends DescriptorProtos.FileDescriptorProto> values)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addAllSourceFileDescriptors(Iterable<? extends DescriptorProtos.FileDescriptorProto> values)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addFileToGenerate(String value)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addFileToGenerateBytes(ByteString value)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addProtoFile(int index, DescriptorProtos.FileDescriptorProto value)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addProtoFile(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addProtoFile(DescriptorProtos.FileDescriptorProto value)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addProtoFile(DescriptorProtos.FileDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addProtoFileBuilder()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addProtoFileBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto value)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addSourceFileDescriptors(DescriptorProtos.FileDescriptorProto value)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`addSourceFileDescriptors(DescriptorProtos.FileDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addSourceFileDescriptorsBuilder()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`addSourceFileDescriptorsBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest`
`build()`
Constructs the message based on the state of the Builder.
`PluginProtos.CodeGeneratorRequest`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`PluginProtos.CodeGeneratorRequest.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`PluginProtos.CodeGeneratorRequest.Builder`
`clearCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`clearFileToGenerate()`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`clearParameter()`
`optional string parameter = 2 [json_name = "parameter"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`clearProtoFile()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`clearSourceFileDescriptors()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.Version`
`getCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.Version.Builder`
`getCompilerVersionBuilder()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.VersionOrBuilder`
`getCompilerVersionOrBuilder()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.CodeGeneratorRequest`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getFileToGenerate(int index)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`ByteString`
`getFileToGenerateBytes(int index)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`int`
`getFileToGenerateCount()`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`ProtocolStringList`
`getFileToGenerateList()`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`String`
`getParameter()`
`optional string parameter = 2 [json_name = "parameter"];`
`ByteString`
`getParameterBytes()`
`optional string parameter = 2 [json_name = "parameter"];`
`DescriptorProtos.FileDescriptorProto`
`getProtoFile(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`getProtoFileBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<DescriptorProtos.FileDescriptorProto.Builder>`
`getProtoFileBuilderList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`int`
`getProtoFileCount()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<DescriptorProtos.FileDescriptorProto>`
`getProtoFileList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
`getProtoFileOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
`getProtoFileOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`DescriptorProtos.FileDescriptorProto`
`getSourceFileDescriptors(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`DescriptorProtos.FileDescriptorProto.Builder`
`getSourceFileDescriptorsBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`List<DescriptorProtos.FileDescriptorProto.Builder>`
`getSourceFileDescriptorsBuilderList()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`int`
`getSourceFileDescriptorsCount()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`List<DescriptorProtos.FileDescriptorProto>`
`getSourceFileDescriptorsList()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`DescriptorProtos.FileDescriptorProtoOrBuilder`
`getSourceFileDescriptorsOrBuilder(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder>`
`getSourceFileDescriptorsOrBuilderList()`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`boolean`
`hasCompilerVersion()`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`boolean`
`hasParameter()`
`optional string parameter = 2 [json_name = "parameter"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`PluginProtos.CodeGeneratorRequest.Builder`
`mergeCompilerVersion(PluginProtos.Version value)`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`PluginProtos.CodeGeneratorRequest.Builder`
`mergeFrom(PluginProtos.CodeGeneratorRequest other)`
`PluginProtos.CodeGeneratorRequest.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`PluginProtos.CodeGeneratorRequest.Builder`
`removeProtoFile(int index)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`removeSourceFileDescriptors(int index)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setCompilerVersion(PluginProtos.Version value)`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setCompilerVersion(PluginProtos.Version.Builder builderForValue)`
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setFileToGenerate(int index, String value)`
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setParameter(String value)`
`optional string parameter = 2 [json_name = "parameter"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setParameterBytes(ByteString value)`
`optional string parameter = 2 [json_name = "parameter"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setProtoFile(int index, DescriptorProtos.FileDescriptorProto value)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setProtoFile(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto value)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`
`PluginProtos.CodeGeneratorRequest.Builder`
`setSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)`
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>`

### clear

public PluginProtos.CodeGeneratorRequest.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>`

### getDefaultInstanceForType

public PluginProtos.CodeGeneratorRequest getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public PluginProtos.CodeGeneratorRequest build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public PluginProtos.CodeGeneratorRequest buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public PluginProtos.CodeGeneratorRequest.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>`

### mergeFrom

public PluginProtos.CodeGeneratorRequest.Builder mergeFrom(PluginProtos.CodeGeneratorRequest other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>`

### mergeFrom

public PluginProtos.CodeGeneratorRequest.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.CodeGeneratorRequest.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getFileToGenerateList

public ProtocolStringList getFileToGenerateList()
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Specified by:
  `getFileToGenerateList` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  A list containing the fileToGenerate.

### getFileToGenerateCount

public int getFileToGenerateCount()
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Specified by:
  `getFileToGenerateCount` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  The count of fileToGenerate.

### getFileToGenerate

public String getFileToGenerate(int index)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Specified by:
  `getFileToGenerate` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The fileToGenerate at the given index.

### getFileToGenerateBytes

public ByteString getFileToGenerateBytes(int index)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Specified by:
  `getFileToGenerateBytes` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the fileToGenerate at the given index.

### setFileToGenerate

public PluginProtos.CodeGeneratorRequest.Builder setFileToGenerate(int index, String value)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Parameters:
  `index` - The index to set the value at.
  `value` - The fileToGenerate to set.
Returns:
  This builder for chaining.

### addFileToGenerate

public PluginProtos.CodeGeneratorRequest.Builder addFileToGenerate(String value)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Parameters:
  `value` - The fileToGenerate to add.
Returns:
  This builder for chaining.

### addAllFileToGenerate

public PluginProtos.CodeGeneratorRequest.Builder addAllFileToGenerate(Iterable<String> values)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Parameters:
  `values` - The fileToGenerate to add.
Returns:
  This builder for chaining.

### clearFileToGenerate

public PluginProtos.CodeGeneratorRequest.Builder clearFileToGenerate()
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Returns:
  This builder for chaining.

### addFileToGenerateBytes

public PluginProtos.CodeGeneratorRequest.Builder addFileToGenerateBytes(ByteString value)
`repeated string file_to_generate = 1 [json_name = "fileToGenerate"];`

Parameters:
  `value` - The bytes of the fileToGenerate to add.
Returns:
  This builder for chaining.

### hasParameter

public boolean hasParameter()
`optional string parameter = 2 [json_name = "parameter"];`

Specified by:
  `hasParameter` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  Whether the parameter field is set.

### getParameter

public String getParameter()
`optional string parameter = 2 [json_name = "parameter"];`

Specified by:
  `getParameter` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  The parameter.

### getParameterBytes

public ByteString getParameterBytes()
`optional string parameter = 2 [json_name = "parameter"];`

Specified by:
  `getParameterBytes` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  The bytes for parameter.

### setParameter

public PluginProtos.CodeGeneratorRequest.Builder setParameter(String value)
`optional string parameter = 2 [json_name = "parameter"];`

Parameters:
  `value` - The parameter to set.
Returns:
  This builder for chaining.

### clearParameter

public PluginProtos.CodeGeneratorRequest.Builder clearParameter()
`optional string parameter = 2 [json_name = "parameter"];`

Returns:
  This builder for chaining.

### setParameterBytes

public PluginProtos.CodeGeneratorRequest.Builder setParameterBytes(ByteString value)
`optional string parameter = 2 [json_name = "parameter"];`

Parameters:
  `value` - The bytes for parameter to set.
Returns:
  This builder for chaining.

### getProtoFileList

public List<DescriptorProtos.FileDescriptorProto> getProtoFileList()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

Specified by:
  `getProtoFileList` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### getProtoFileCount

public int getProtoFileCount()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

Specified by:
  `getProtoFileCount` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### getProtoFile

public DescriptorProtos.FileDescriptorProto getProtoFile(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

Specified by:
  `getProtoFile` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### setProtoFile

public PluginProtos.CodeGeneratorRequest.Builder setProtoFile(int index, DescriptorProtos.FileDescriptorProto value)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### setProtoFile

public PluginProtos.CodeGeneratorRequest.Builder setProtoFile(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### addProtoFile

public PluginProtos.CodeGeneratorRequest.Builder addProtoFile(DescriptorProtos.FileDescriptorProto value)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### addProtoFile

public PluginProtos.CodeGeneratorRequest.Builder addProtoFile(int index, DescriptorProtos.FileDescriptorProto value)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### addProtoFile

public PluginProtos.CodeGeneratorRequest.Builder addProtoFile(DescriptorProtos.FileDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### addProtoFile

public PluginProtos.CodeGeneratorRequest.Builder addProtoFile(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### addAllProtoFile

public PluginProtos.CodeGeneratorRequest.Builder addAllProtoFile(Iterable<? extends DescriptorProtos.FileDescriptorProto> values)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### clearProtoFile

public PluginProtos.CodeGeneratorRequest.Builder clearProtoFile()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### removeProtoFile

public PluginProtos.CodeGeneratorRequest.Builder removeProtoFile(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFileBuilder

public DescriptorProtos.FileDescriptorProto.Builder getProtoFileBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFileOrBuilder

public DescriptorProtos.FileDescriptorProtoOrBuilder getProtoFileOrBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

Specified by:
  `getProtoFileOrBuilder` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### getProtoFileOrBuilderList

public List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder> getProtoFileOrBuilderList()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

Specified by:
  `getProtoFileOrBuilderList` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### addProtoFileBuilder

public DescriptorProtos.FileDescriptorProto.Builder addProtoFileBuilder()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### addProtoFileBuilder

public DescriptorProtos.FileDescriptorProto.Builder addProtoFileBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getProtoFileBuilderList

public List<DescriptorProtos.FileDescriptorProto.Builder> getProtoFileBuilderList()
`repeated .google.protobuf.FileDescriptorProto proto_file = 15 [json_name = "protoFile"];`

### getSourceFileDescriptorsList

public List<DescriptorProtos.FileDescriptorProto> getSourceFileDescriptorsList()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

Specified by:
  `getSourceFileDescriptorsList` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### getSourceFileDescriptorsCount

public int getSourceFileDescriptorsCount()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

Specified by:
  `getSourceFileDescriptorsCount` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### getSourceFileDescriptors

public DescriptorProtos.FileDescriptorProto getSourceFileDescriptors(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

Specified by:
  `getSourceFileDescriptors` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### setSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder setSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto value)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### setSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder setSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### addSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder addSourceFileDescriptors(DescriptorProtos.FileDescriptorProto value)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### addSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder addSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto value)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### addSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder addSourceFileDescriptors(DescriptorProtos.FileDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### addSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder addSourceFileDescriptors(int index, DescriptorProtos.FileDescriptorProto.Builder builderForValue)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### addAllSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder addAllSourceFileDescriptors(Iterable<? extends DescriptorProtos.FileDescriptorProto> values)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### clearSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder clearSourceFileDescriptors()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### removeSourceFileDescriptors

public PluginProtos.CodeGeneratorRequest.Builder removeSourceFileDescriptors(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptorsBuilder

public DescriptorProtos.FileDescriptorProto.Builder getSourceFileDescriptorsBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptorsOrBuilder

public DescriptorProtos.FileDescriptorProtoOrBuilder getSourceFileDescriptorsOrBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

Specified by:
  `getSourceFileDescriptorsOrBuilder` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### getSourceFileDescriptorsOrBuilderList

public List<? extends DescriptorProtos.FileDescriptorProtoOrBuilder> getSourceFileDescriptorsOrBuilderList()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

Specified by:
  `getSourceFileDescriptorsOrBuilderList` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`

### addSourceFileDescriptorsBuilder

public DescriptorProtos.FileDescriptorProto.Builder addSourceFileDescriptorsBuilder()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### addSourceFileDescriptorsBuilder

public DescriptorProtos.FileDescriptorProto.Builder addSourceFileDescriptorsBuilder(int index)
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### getSourceFileDescriptorsBuilderList

public List<DescriptorProtos.FileDescriptorProto.Builder> getSourceFileDescriptorsBuilderList()
`repeated .google.protobuf.FileDescriptorProto source_file_descriptors = 17 [json_name = "sourceFileDescriptors"];`

### hasCompilerVersion

public boolean hasCompilerVersion()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

Specified by:
  `hasCompilerVersion` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  Whether the compilerVersion field is set.

### getCompilerVersion

public PluginProtos.Version getCompilerVersion()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

Specified by:
  `getCompilerVersion` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`
Returns:
  The compilerVersion.

### setCompilerVersion

public PluginProtos.CodeGeneratorRequest.Builder setCompilerVersion(PluginProtos.Version value)
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

### setCompilerVersion

public PluginProtos.CodeGeneratorRequest.Builder setCompilerVersion(PluginProtos.Version.Builder builderForValue)
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

### mergeCompilerVersion

public PluginProtos.CodeGeneratorRequest.Builder mergeCompilerVersion(PluginProtos.Version value)
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

### clearCompilerVersion

public PluginProtos.CodeGeneratorRequest.Builder clearCompilerVersion()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

### getCompilerVersionBuilder

public PluginProtos.Version.Builder getCompilerVersionBuilder()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

### getCompilerVersionOrBuilder

public PluginProtos.VersionOrBuilder getCompilerVersionOrBuilder()
`optional .google.protobuf.compiler.Version compiler_version = 3 [json_name = "compilerVersion"];`

Specified by:
  `getCompilerVersionOrBuilder` in interface `PluginProtos.CodeGeneratorRequestOrBuilder`